package cz.frantovo.nekurak.dao;

import cz.frantovo.nekurak.dto.Uzivatel;
import java.util.Date;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author fiki
 */
@Stateless
@LocalBean
public class UzivatelDAO {

    @PersistenceContext(unitName = DAO.PU)
    private EntityManager em;

    public void zaloz(Uzivatel u) {
	if (u.getDatum() == null) {
	    u.setDatum(new Date());
	}

	em.persist(u);
    }

    public void uloz(Uzivatel u) {
	if (u.getDatum() == null) {
	    u.setDatum(new Date());
	}

	em.merge(u);
    }
}
